# DMMGSetUser

Sets the user context for a particular level

### Synopsis

    PetscErrorCode DMMGSetUser(DMMG *dmmg,PetscInt level,void *ctx)

Not Collective

### Input Parameters

| dmmg | - DMMG solve context
| level | - the number of the level you want the context for
| ctx | - the context

Note: if the context is the same for each level just pass it in with DMMGCreate() and don't call this macro

### See Also

DMMGCreate(), DMMGGetUser()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/mex34f90.F.html
src/snes/examples/tutorials/ex34f90.F.html
src/snes/examples/tutorials/mex35f90.F90.html
src/snes/examples/tutorials/ex35f90.F90.html
src/snes/examples/tutorials/mex36f90.F90.html